<template>
  <div>
    <div class="card m-5 profile">
      <div class="card-header text-lg-start">Create Book</div>
      <div class="card-body">
        <div class="row text-lg-start">
          <form>
            <input
              type="text"
              id="bookName"
              class="form-control mb-3"
              placeholder="Nama buku"
              v-model="name"
            />
            <input
              type="text"
              id="desc"
              class="form-control mb-3"
              placeholder="Description"
              v-model="description"
            />
          </form>
          <button
            class="btn btn-lg btn-success btn-block"
            style="font-size: 1rem; width: 20%; margin-left: 10px"
            @click="onSubmit()"
          >
            Create
          </button>
        </div>
      </div>
    </div>
  </div>
</template>


<script>
import axios from "axios";
export default {
  name: "Create",
  data() {
    return {
      description: null,
      name: null,
    };
  },
  methods: {
    async onSubmit() {
      const formData = new FormData();
      formData.append("name", this.name);
      formData.append("description", this.description);
      let tokenData = localStorage.getItem("token");
      try {
        await axios
          .post("/api/books/insert?token=" + tokenData, formData)
          .then((response) => {
            if (response.data.status_code == 200) {
              this.$router.push("books");
            }
          });
      } catch (error) {
        console.log(error);
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.profile {
  width: 50%;
}
</style>